Get Pay Account (GoPay Tokenizations)

Get Pay Account is triggered to get GoPay's account linked status. This method is only applicable for GoPay Tokenizations.

Endpoints: /api/v1/core/pay/account/{{account_id}}

HTTP Method: GET

Response Body

{
  "status_code": "200",
  "payment_type": "gopay",
  "account_id": "00000269-7836-49e5-bc65-e592afafec14",
  "account_status": "ENABLED",
  "metadata": {
    "payment_options": [
      {
        "name": "GOPAY_WALLET",
        "active": true,
        "balance": {
          "value": "1000000.00",
          "currency": "IDR"
        },
        "metadata": {},
        "token": "eyJ0eXBlIjogIkdPUEFZX1dBTExFVCIsICJpZCI6ICIifQ=="
      },
      {
        "name": "PAY_LATER",
        "active": true,
        "balance": {
          "value": "350000.00",
          "currency": "IDR"
        },
        "metadata": {},
        "token": "eyJ0eXBlIjogIlBBWV9MQVRFUiIsICJpZCI6ICIifQ=="
      }
    ]
  }
}
{
  "status_code": "201",
  "payment_type": "gopay",
  "account_id": "00000269-7836-49e5-bc65-e592afafec14",
  "account_status": "PENDING"
}
{
  "status_code": "204",
  "payment_type": "gopay",
  "account_id": "00000269-7836-49e5-bc65-e592afafec14",
  "account_status": "EXPIRED"
}
{
  "status_code": "204",
  "payment_type": "gopay",
  "account_id": "00000269-7836-49e5-bc65-e592afafec14",
  "account_status": "DISABLED"
}
FieldTypeDescription
status_codeStringStatus code of the API result.
payment_typeStringPayment channel associated with the account.
account_idStringCustomer account ID to be used for payment.
account_statusStringStatus of the account. Possible values are PENDING, EXPIRED, ENABLED, and DISABLED.
metadataObjectAdditional data from the specific payment provider, that is, GoPay.

More information about GoPay Tokenizations can be seen here